System.Xml [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 To be added System.Xml.XmlNode System.Xml.IHasXmlChildNode

Attributes can be associated with an element. Use the property to get the to which the attribute belongs.

The XmlElement class has several methods which allow you to access attribute nodes (, , , and so on). Additionally, you can call the property, which returns an enabling you to access attributes by name or index from the collection.

Represents an attribute. Valid and default values for the attribute are defined in a document type definition (DTD) or schema.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0

  Do not instantiate an directly; instead, use methods such as .

  Initializes a new instance of the class.

  The namespace prefix.
  The local name of the attribute.
  The namespace uniform resource identifier (URI).
  The parent XML document.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  If the is already in the tree, it is first removed.

  If the node being inserted was created from another document, you can use to import the node to the current document. The imported node can then be inserted into the current document.

  Adds the specified node to the end of the list of child nodes, of this node.

  The added.

  The to add.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String The location from which the attribute was loaded. If the location is empty (for example, was created in memory), is returned.

  A networked XML document is comprised of chunks of data aggregated using various World Wide Web Consortium (W3C) standard inclusion mechanisms and therefore contains nodes that come from different places. The BaseURI tells you where these nodes came from.

  For additional information on BaseURI and how it behaves with other node types, see .

  This property is a Microsoft extension to the Document Object Model (DOM).

  Gets the base Uniform Resource Identifier (URI) of the node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  This method serves as a copy constructor for nodes. The cloned node has no parent ( returns null).

  Cloning an unspecified attribute returns a specified attribute ( returns true).

  Creates a duplicate of this node.

  The duplicate node.

  true to recursively clone the subtree under the specified node; false to clone only the node itself
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Setting this property replaces all the children with the parsed contents of the given string.

  This property is a Microsoft extension to the Document Object Model (DOM).

  Sets the concatenated values of the node and all its children.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  This property is a Microsoft extension to the Document Object Model (DOM).

  Sets the value of the attribute.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` ``

  If is null, insert at the beginning of the list of child nodes. If is an object, its child nodes are inserted, in the same order, after . If the is already in the tree, it is first removed.

  If the node being inserted was created from another document, you can use to import the node to the current document. The imported node can then be inserted into the current document.

  This method is a Microsoft extension to the Document Object Model (DOM).

  Inserts the specified node immediately after the specified reference node.

  The inserted.

  The to insert. The that is the reference node. The is placed after the .
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` ``

  If is null, insert at the end of the list of child nodes. If is an object, its child nodes are inserted, in the same order, before . If the is already in the tree, it is first removed.

  If the node being inserted was created from another document, you can use to import the node to the current document. The imported node can then be inserted into the current document.

  Inserts the specified node immediately before the specified reference node.

  The inserted.

  The to insert. The that is the reference node. The is placed before this node.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  If the node does not have a prefix, LocalName is the same as .

  Gets the local name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets the qualified name of the node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  An attribute does not inherit its namespace from the element it is attached to. If an attribute is not explicitly given a namespace, the namespace URI is considered to be String.Empty.

  Gets the namespace URI of this node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNodeType To be added. To be added.

  Gets the type of the current node.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlDocument To be added. To be added.

  Gets the to which this node belongs.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlElement To be added: an object of type 'XmlElement' To be added

  Gets the to which the attribute belongs.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode To be added.

  Use the property to get the to which the attribute belongs.

  Gets the parent of this node. For XmlAttribute nodes, this property always returns null.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added.

  Because changing the prefix of an attribute does not change its namespace URI, changing the prefix of an attribute that is known to have a default value does not create a new attribute with the default value and the original prefix.

  Gets or sets the namespace prefix of this node.

- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode ``

  If the is already in the tree, it is first removed.

  If the node being inserted was created from another document, you can use to import the node to the current document. The imported node can then be inserted into the current document.

  This method is a Microsoft extension to the Document Object Model (DOM).

  Adds the specified node to the beginning of the list of child nodes for this node.

  The added.

  The to add. If it is an , the entire contents of the document fragment are moved into the child list of this node.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` To be added.

  Removes the specified child node.

  The removed.

  The to remove.
- Method
  2.0.0.0
  4.0.0.0
  System.Xml.XmlNode `` ``

  If the is already in the tree, it is first removed.

  If the was created from another document, you can use to import the node to the current document.

  Replaces the child node specified with the new child node specified.

  The replaced.

  The new child . The to replace.
- Property
  2.0.0.0
  4.0.0.0
  System.Xml.Schema.IXmlSchemaInfo To be added.

  The property is set when this node is validated.

  Gets the post-schema-validation-infoset that has been assigned to this node as a result of schema validation.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean To be added: an object of type 'bool'

  The implementation is in charge of this property, not the user. If the user changes the value of the attribute (even if it ends up having the same value as the default/fixed value), then the specified flag is automatically flipped to true. To re-specify the attribute as the default/fixed value from the DTD, the user must delete the attribute. The implementation then makes a new attribute available with specified set to false and the default/fixed value (if one exists).

  In summary:

  If the attribute has an assigned value in the document, Specified is true, and the value is the assigned value.

  If the attribute has no assigned value in the document and has a default/fixed value in the DTD, Specified is false, and the value is the default/fixed value in the DTD.

  Otherwise, the attribute does not appear in the structure model of the document.

  Gets a value indicating whether the attribute value was explicitly set.

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Xml.XmlLinkedNode To be added. To be added. To be added.
- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the value of the node.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM). It is functionally equivalent to the property.

  Saves all the children of the node to the specified .

  The XmlWriter to which you want to save.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void ``

  This method is a Microsoft extension to the Document Object Model (DOM). It is functionally equivalent to the property.

  Saves the node to the specified .

  The XmlWriter to which you want to save.